TabGeckoDocs
Website
Documentation / Kernels · API

Kernels · API

Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.

GET /api/v1/kernels

Installierte Browserkerne

Authentication: bearer token

Required route scopes: profiles:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "engine",
                  "version",
                  "revision",
                  "build",
                  "major",
                  "path",
                  "source",
                  "fingerprint",
                  "features",
                  "state",
                  "installed_at",
                  "last_used_at"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "engine": {
                    "type": "string"
                  },
                  "version": {
                    "type": "string"
                  },
                  "revision": {
                    "type": "string"
                  },
                  "build": {
                    "type": "string"
                  },
                  "major": {
                    "type": "integer"
                  },
                  "path": {
                    "type": "string"
                  },
                  "source": {
                    "type": "string"
                  },
                  "fingerprint": {
                    "type": "boolean"
                  },
                  "features": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "state": {
                    "type": "string"
                  },
                  "installed_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "last_used_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Installierte Browserkerne",
  "tags": [
    "Kerne"
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "engine",
                    "version",
                    "revision",
                    "build",
                    "major",
                    "path",
                    "source",
                    "fingerprint",
                    "features",
                    "state",
                    "installed_at",
                    "last_used_at"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "engine": {
                      "type": "string"
                    },
                    "version": {
                      "type": "string"
                    },
                    "revision": {
                      "type": "string"
                    },
                    "build": {
                      "type": "string"
                    },
                    "major": {
                      "type": "integer"
                    },
                    "path": {
                      "type": "string"
                    },
                    "source": {
                      "type": "string"
                    },
                    "fingerprint": {
                      "type": "boolean"
                    },
                    "features": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "state": {
                      "type": "string"
                    },
                    "installed_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    },
                    "last_used_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/kernels/candidates

Gefundene, noch nicht registrierte Browser-Installationen auf diesem Rechner

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Gefundene, noch nicht registrierte Browser-Installationen auf diesem Rechner",
  "tags": [
    "Kerne"
  ],
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/kernels/local

Lokal installierten Browserkern registrieren (Version wird erkannt)

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "engine",
          "path"
        ],
        "properties": {
          "engine": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "chromium"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "firefox"
                ]
              }
            ]
          },
          "path": {
            "type": "string",
            "minLength": 3,
            "maxLength": 1024
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "engine",
            "version",
            "revision",
            "build",
            "major",
            "path",
            "source",
            "fingerprint",
            "features",
            "state",
            "installed_at",
            "last_used_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "engine": {
              "type": "string"
            },
            "version": {
              "type": "string"
            },
            "revision": {
              "type": "string"
            },
            "build": {
              "type": "string"
            },
            "major": {
              "type": "integer"
            },
            "path": {
              "type": "string"
            },
            "source": {
              "type": "string"
            },
            "fingerprint": {
              "type": "boolean"
            },
            "features": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "state": {
              "type": "string"
            },
            "installed_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "last_used_at": {
              "type": [
                "null",
                "integer"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Lokal installierten Browserkern registrieren (Version wird erkannt)",
  "tags": [
    "Kerne"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "engine",
            "path"
          ],
          "properties": {
            "engine": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "chromium"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "firefox"
                  ]
                }
              ]
            },
            "path": {
              "type": "string",
              "minLength": 3,
              "maxLength": 1024
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "engine",
              "version",
              "revision",
              "build",
              "major",
              "path",
              "source",
              "fingerprint",
              "features",
              "state",
              "installed_at",
              "last_used_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "engine": {
                "type": "string"
              },
              "version": {
                "type": "string"
              },
              "revision": {
                "type": "string"
              },
              "build": {
                "type": "string"
              },
              "major": {
                "type": "integer"
              },
              "path": {
                "type": "string"
              },
              "source": {
                "type": "string"
              },
              "fingerprint": {
                "type": "boolean"
              },
              "features": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "state": {
                "type": "string"
              },
              "installed_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "last_used_at": {
                "type": [
                  "null",
                  "integer"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/kernels/install

Kern-Paket (ZIP aus kern-chromium mit build-info.json) in die Datenwurzel installieren; eigene Kerne unterstützen den Fingerprint

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "path"
        ],
        "properties": {
          "path": {
            "type": "string",
            "minLength": 3,
            "maxLength": 1024
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "engine",
            "version",
            "revision",
            "build",
            "major",
            "path",
            "source",
            "fingerprint",
            "features",
            "state",
            "installed_at",
            "last_used_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "engine": {
              "type": "string"
            },
            "version": {
              "type": "string"
            },
            "revision": {
              "type": "string"
            },
            "build": {
              "type": "string"
            },
            "major": {
              "type": "integer"
            },
            "path": {
              "type": "string"
            },
            "source": {
              "type": "string"
            },
            "fingerprint": {
              "type": "boolean"
            },
            "features": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "state": {
              "type": "string"
            },
            "installed_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "last_used_at": {
              "type": [
                "null",
                "integer"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Kern-Paket (ZIP aus kern-chromium mit build-info.json) in die Datenwurzel installieren; eigene Kerne unterstützen den Fingerprint",
  "tags": [
    "Kerne"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "path"
          ],
          "properties": {
            "path": {
              "type": "string",
              "minLength": 3,
              "maxLength": 1024
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "engine",
              "version",
              "revision",
              "build",
              "major",
              "path",
              "source",
              "fingerprint",
              "features",
              "state",
              "installed_at",
              "last_used_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "engine": {
                "type": "string"
              },
              "version": {
                "type": "string"
              },
              "revision": {
                "type": "string"
              },
              "build": {
                "type": "string"
              },
              "major": {
                "type": "integer"
              },
              "path": {
                "type": "string"
              },
              "source": {
                "type": "string"
              },
              "fingerprint": {
                "type": "boolean"
              },
              "features": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "state": {
                "type": "string"
              },
              "installed_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "last_used_at": {
                "type": [
                  "null",
                  "integer"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

DELETE /api/v1/kernels/{id}

Kern entfernen (lokal registrierte Kerne: nur die Registrierung; installierte Kern-Pakete: auch die Dateien)

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

NameLocationRequiredDescription
idpathYes
Full parameter schemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "removed"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "removed": {
              "type": "boolean"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Kern entfernen (lokal registrierte Kerne: nur die Registrierung; installierte Kern-Pakete: auch die Dateien)",
  "tags": [
    "Kerne"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "removed"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "removed": {
                "type": "boolean"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/kernels/updates

Status und signierte verfügbare Kernel-Updates

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "auto_check",
            "auto_download",
            "feed",
            "checked_at",
            "expires_at",
            "error",
            "busy",
            "stage",
            "downloaded",
            "total",
            "available"
          ],
          "properties": {
            "auto_check": {
              "type": "boolean"
            },
            "auto_download": {
              "type": "boolean"
            },
            "feed": {
              "type": "string"
            },
            "checked_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "expires_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "error": {
              "type": [
                "null",
                "string"
              ]
            },
            "busy": {
              "type": "boolean"
            },
            "stage": {
              "type": "string"
            },
            "downloaded": {
              "type": "number"
            },
            "total": {
              "type": "number"
            },
            "available": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "engine",
                  "version",
                  "revision",
                  "platform",
                  "arch",
                  "url",
                  "size",
                  "sha256",
                  "build",
                  "installed",
                  "installable"
                ],
                "properties": {
                  "engine": {
                    "type": "string"
                  },
                  "version": {
                    "type": "string"
                  },
                  "revision": {
                    "type": "string"
                  },
                  "platform": {
                    "type": "string"
                  },
                  "arch": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  },
                  "size": {
                    "type": "number"
                  },
                  "sha256": {
                    "type": "string"
                  },
                  "build": {
                    "type": "string"
                  },
                  "installed": {
                    "type": "boolean"
                  },
                  "installable": {
                    "type": "boolean"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Status und signierte verfügbare Kernel-Updates",
  "tags": [
    "Kerne"
  ],
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "auto_check",
              "auto_download",
              "feed",
              "checked_at",
              "expires_at",
              "error",
              "busy",
              "stage",
              "downloaded",
              "total",
              "available"
            ],
            "properties": {
              "auto_check": {
                "type": "boolean"
              },
              "auto_download": {
                "type": "boolean"
              },
              "feed": {
                "type": "string"
              },
              "checked_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "expires_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "error": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "busy": {
                "type": "boolean"
              },
              "stage": {
                "type": "string"
              },
              "downloaded": {
                "type": "number"
              },
              "total": {
                "type": "number"
              },
              "available": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "engine",
                    "version",
                    "revision",
                    "platform",
                    "arch",
                    "url",
                    "size",
                    "sha256",
                    "build",
                    "installed",
                    "installable"
                  ],
                  "properties": {
                    "engine": {
                      "type": "string"
                    },
                    "version": {
                      "type": "string"
                    },
                    "revision": {
                      "type": "string"
                    },
                    "platform": {
                      "type": "string"
                    },
                    "arch": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "size": {
                      "type": "number"
                    },
                    "sha256": {
                      "type": "string"
                    },
                    "build": {
                      "type": "string"
                    },
                    "installed": {
                      "type": "boolean"
                    },
                    "installable": {
                      "type": "boolean"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PUT /api/v1/kernels/updates/settings

Automatische Prüfung auf Kernel-Updates einstellen

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "auto_check": {
            "type": "boolean"
          },
          "auto_download": {
            "type": "boolean"
          }
        },
        "additionalProperties": false,
        "minProperties": 1
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "auto_check",
            "auto_download",
            "feed",
            "checked_at",
            "expires_at",
            "error",
            "busy",
            "stage",
            "downloaded",
            "total",
            "available"
          ],
          "properties": {
            "auto_check": {
              "type": "boolean"
            },
            "auto_download": {
              "type": "boolean"
            },
            "feed": {
              "type": "string"
            },
            "checked_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "expires_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "error": {
              "type": [
                "null",
                "string"
              ]
            },
            "busy": {
              "type": "boolean"
            },
            "stage": {
              "type": "string"
            },
            "downloaded": {
              "type": "number"
            },
            "total": {
              "type": "number"
            },
            "available": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "engine",
                  "version",
                  "revision",
                  "platform",
                  "arch",
                  "url",
                  "size",
                  "sha256",
                  "build",
                  "installed",
                  "installable"
                ],
                "properties": {
                  "engine": {
                    "type": "string"
                  },
                  "version": {
                    "type": "string"
                  },
                  "revision": {
                    "type": "string"
                  },
                  "platform": {
                    "type": "string"
                  },
                  "arch": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  },
                  "size": {
                    "type": "number"
                  },
                  "sha256": {
                    "type": "string"
                  },
                  "build": {
                    "type": "string"
                  },
                  "installed": {
                    "type": "boolean"
                  },
                  "installable": {
                    "type": "boolean"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Automatische Prüfung auf Kernel-Updates einstellen",
  "tags": [
    "Kerne"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "auto_check": {
              "type": "boolean"
            },
            "auto_download": {
              "type": "boolean"
            }
          },
          "additionalProperties": false,
          "minProperties": 1
        }
      }
    }
  },
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "auto_check",
              "auto_download",
              "feed",
              "checked_at",
              "expires_at",
              "error",
              "busy",
              "stage",
              "downloaded",
              "total",
              "available"
            ],
            "properties": {
              "auto_check": {
                "type": "boolean"
              },
              "auto_download": {
                "type": "boolean"
              },
              "feed": {
                "type": "string"
              },
              "checked_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "expires_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "error": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "busy": {
                "type": "boolean"
              },
              "stage": {
                "type": "string"
              },
              "downloaded": {
                "type": "number"
              },
              "total": {
                "type": "number"
              },
              "available": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "engine",
                    "version",
                    "revision",
                    "platform",
                    "arch",
                    "url",
                    "size",
                    "sha256",
                    "build",
                    "installed",
                    "installable"
                  ],
                  "properties": {
                    "engine": {
                      "type": "string"
                    },
                    "version": {
                      "type": "string"
                    },
                    "revision": {
                      "type": "string"
                    },
                    "platform": {
                      "type": "string"
                    },
                    "arch": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "size": {
                      "type": "number"
                    },
                    "sha256": {
                      "type": "string"
                    },
                    "build": {
                      "type": "string"
                    },
                    "installed": {
                      "type": "boolean"
                    },
                    "installable": {
                      "type": "boolean"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/kernels/updates/check

Signiertes Kernel-Manifest laden und prüfen

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "auto_check",
            "auto_download",
            "feed",
            "checked_at",
            "expires_at",
            "error",
            "busy",
            "stage",
            "downloaded",
            "total",
            "available"
          ],
          "properties": {
            "auto_check": {
              "type": "boolean"
            },
            "auto_download": {
              "type": "boolean"
            },
            "feed": {
              "type": "string"
            },
            "checked_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "expires_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "error": {
              "type": [
                "null",
                "string"
              ]
            },
            "busy": {
              "type": "boolean"
            },
            "stage": {
              "type": "string"
            },
            "downloaded": {
              "type": "number"
            },
            "total": {
              "type": "number"
            },
            "available": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "engine",
                  "version",
                  "revision",
                  "platform",
                  "arch",
                  "url",
                  "size",
                  "sha256",
                  "build",
                  "installed",
                  "installable"
                ],
                "properties": {
                  "engine": {
                    "type": "string"
                  },
                  "version": {
                    "type": "string"
                  },
                  "revision": {
                    "type": "string"
                  },
                  "platform": {
                    "type": "string"
                  },
                  "arch": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  },
                  "size": {
                    "type": "number"
                  },
                  "sha256": {
                    "type": "string"
                  },
                  "build": {
                    "type": "string"
                  },
                  "installed": {
                    "type": "boolean"
                  },
                  "installable": {
                    "type": "boolean"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Signiertes Kernel-Manifest laden und prüfen",
  "tags": [
    "Kerne"
  ],
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "auto_check",
              "auto_download",
              "feed",
              "checked_at",
              "expires_at",
              "error",
              "busy",
              "stage",
              "downloaded",
              "total",
              "available"
            ],
            "properties": {
              "auto_check": {
                "type": "boolean"
              },
              "auto_download": {
                "type": "boolean"
              },
              "feed": {
                "type": "string"
              },
              "checked_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "expires_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "error": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "busy": {
                "type": "boolean"
              },
              "stage": {
                "type": "string"
              },
              "downloaded": {
                "type": "number"
              },
              "total": {
                "type": "number"
              },
              "available": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "engine",
                    "version",
                    "revision",
                    "platform",
                    "arch",
                    "url",
                    "size",
                    "sha256",
                    "build",
                    "installed",
                    "installable"
                  ],
                  "properties": {
                    "engine": {
                      "type": "string"
                    },
                    "version": {
                      "type": "string"
                    },
                    "revision": {
                      "type": "string"
                    },
                    "platform": {
                      "type": "string"
                    },
                    "arch": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "size": {
                      "type": "number"
                    },
                    "sha256": {
                      "type": "string"
                    },
                    "build": {
                      "type": "string"
                    },
                    "installed": {
                      "type": "boolean"
                    },
                    "installable": {
                      "type": "boolean"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/kernels/updates/install

Signierten Kernel herunterladen, prüfen und installieren

Authentication: bearer token

Required route scopes: kernels:manage

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "build"
        ],
        "properties": {
          "build": {
            "type": "string",
            "minLength": 7,
            "maxLength": 80
          },
          "engine": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "chromium"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "firefox"
                ]
              }
            ]
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "engine",
            "version",
            "revision",
            "build",
            "major",
            "path",
            "source",
            "fingerprint",
            "features",
            "state",
            "installed_at",
            "last_used_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "engine": {
              "type": "string"
            },
            "version": {
              "type": "string"
            },
            "revision": {
              "type": "string"
            },
            "build": {
              "type": "string"
            },
            "major": {
              "type": "integer"
            },
            "path": {
              "type": "string"
            },
            "source": {
              "type": "string"
            },
            "fingerprint": {
              "type": "boolean"
            },
            "features": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "state": {
              "type": "string"
            },
            "installed_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "last_used_at": {
              "type": [
                "null",
                "integer"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Signierten Kernel herunterladen, prüfen und installieren",
  "tags": [
    "Kerne"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "build"
          ],
          "properties": {
            "build": {
              "type": "string",
              "minLength": 7,
              "maxLength": 80
            },
            "engine": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "chromium"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "firefox"
                  ]
                }
              ]
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "kernels:manage"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "engine",
              "version",
              "revision",
              "build",
              "major",
              "path",
              "source",
              "fingerprint",
              "features",
              "state",
              "installed_at",
              "last_used_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "engine": {
                "type": "string"
              },
              "version": {
                "type": "string"
              },
              "revision": {
                "type": "string"
              },
              "build": {
                "type": "string"
              },
              "major": {
                "type": "integer"
              },
              "path": {
                "type": "string"
              },
              "source": {
                "type": "string"
              },
              "fingerprint": {
                "type": "boolean"
              },
              "features": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "state": {
                "type": "string"
              },
              "installed_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "last_used_at": {
                "type": [
                  "null",
                  "integer"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API reference